/**
 * @file
 * The header components.
 *
 * It includes styles for the header itself and their
 * component as the logotype or the main menu.
 */

/**
 * Global header rules
 */
.main__header {
  z-index: 10;
}
.main__header-wrapper {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  position: fixed;
  z-index: 999;
  left: 0;
  right: 0;
  top: 0;
  background-color: var(--color-neutral);
  padding: 1.125rem 1.5rem;
  box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.05);
}
.user-logged-in .main__header-wrapper {
  top: 39px;
}
.main__header-navigation {
  padding: 2rem;
  background-color: var(--color-secondary--6);
  display: flex;
  flex-direction: column;
  gap: 2.5rem;
  position: absolute;
  top: 100%;
  left: 0;
  right: 0;
  height: calc(100vh - 85px);
  transform: translateX(-100%);
  transition: all 150ms ease-in-out;
}
.main__header-navigation.is-active {
  transform: translateX(0);
}
.main__header-navigation ul.menu {
  margin: 0;
}
.main__header-menu a,
.main__header-menu .menu__item > span {
  font-family: "Raleway";
  font-weight: 600;
  color: var(--color-primary--1);
}
.main__header-menu ul.menu a.is-active {
  color: var(--color-primary--1);
}
.main__header-menu .menu.menu--level-0 {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}
.main__header-menu .menu__item--expanded {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}
.main__header-menu .menu__item--expanded ul {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  padding-left: 1rem;
  margin-left: 0.313rem;
  border-left: 1px solid var(--color-secondary--2);
}
.main__header-menu .menu__item--expanded ul a {
  color: var(--color-primary--2) !important;
}
.main__header-menu .menu__item--expanded ul.menu a.is-active {
  color: var(--color-primary--2);
}
.menu-toggle {
  width: 40px;
  height: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.menu-toggle.is-active {
  background-color: var(--color-secondary--6);
  border-radius: 50%;
}
.menu-toggle__button {
  all: unset;
  position: relative;
  width: 40px;
  height: 30px;
  background: transparent;
  cursor: pointer;
  scale: 50%;
}
.menu-toggle__bar {
  display: block;
  position: absolute;
  height: 4px;
  width: 100%;
  background: var(--color-secondary--2);
  border-radius: 9px;
  opacity: 1;
  left: 0;
  transform: rotate(0deg);
  transition: 0.25s ease-in-out;
}
.menu-toggle .menu-toggle__bar:nth-child(1) {
  top: 0px;
  transform-origin: left center;
}
.menu-toggle .menu-toggle__bar:nth-child(3) {
  top: 100%;
  transform-origin: left center;
  transform: translateY(-100%);
}
.menu-toggle .menu-toggle__bar:nth-child(2) {
  top: 50%;
  transform: translateY(-50%);
  transform-origin: left center;
}
.menu-toggle.is-active .menu-toggle__bar:nth-child(1) {
  transform: rotate(45deg);
  top: 0px;
  left: 5px;
}
.menu-toggle.is-active .menu-toggle__bar:nth-child(3) {
  transform: rotate(-45deg);
  top: 28px;
  left: 5px;
}
.menu-toggle.is-active .menu-toggle__bar:nth-child(2) {
  width: 0%;
  opacity: 0;
}
.main__header-navigation .main__header-menu .region-header-menu nav .menu--level-0 li > span {
  cursor: default;
}
@media all and (min-width: 1000px) {
  .main__header {
    background-color: var(--color-neutral);
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.05);
  }
  .main__header-wrapper {
    position: relative;
    align-items: center;
    padding: 0;
    height: 102px;
    box-shadow: none;
  }
  .user-logged-in .main__header {
    top: 39px;
  }
  .user-logged-in.toolbar-tray-open .main__header {
    top: 78px;
  }
  .user-logged-in .main__header-wrapper {
    top: 0;
  }
  .main__header-navigation,
  .main__header-navigation .main__header-menu,
  .main__header-navigation .main__header-menu *:not(.menu--level-1) {
    height: 100%;
  }
  .main__header-navigation .main__header-menu .region-header-menu nav .menu--level-0 li a ,
  .main__header-navigation .main__header-menu .region-header-menu nav .menu--level-0 li > span {
    display: flex;
    align-items: center;
    font-size: 0.85rem;
  }
  .main__header-navigation .menu--level-1 a {
    font-size: 0.85rem;
  }
  .main__header-navigation {
    padding: 0;
    background-color: var(--color-neutral);
    position: relative;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    transform: unset;
    top: unset;
    left: unset;
    right: unset;
    bottom: unset;
    width: 100%;
    padding-left: 1.5rem;
    gap: 1rem;
  }
  .main__header-navigation a {
    position: relative;
    z-index: 0;
    width: fit-content;
  }
  .main__header-navigation a::after {
    opacity: 0;
    transition: all 150ms;
    display: block;
    content: "";
    position: absolute;
    height: 9px;
    background-color: var(--color-secondary--5);
    top: 52%;
    left: -2px;
    right: -2px;
    z-index: -1;
  }
  .main__header-navigation a:hover::after {
    opacity: 1;
  }
  .main__header-menu .menu.menu--level-0 {
    flex-direction: row;
    position: relative;
    align-items: center;
    gap: 1rem;
  }
  .main__header-menu .menu.menu--level-0 > li {
    text-align: center;
  }
  .main__header-menu .menu__item--expanded {
    gap: 0;
    position: relative;
  }
  .main__header-menu .menu__item--expanded ul {
    border-left: none;
    gap: 1rem;
    transition: all ease-in-out 150ms;
    max-height: 0;
    overflow: hidden;
    position: absolute;
    margin-left: 0;
    top: 98%;
    left: 0;
    right: 0;
    opacity: 0;
    background-color: var(--color-secondary--6);
    color: var(--color-secondary--4);
    border-top: 2px solid var(--color-secondary--4);
    font-size: 0.875rem;
  }
  .main__header-menu .menu__item--expanded:hover ul {
    padding: 1.5rem 1rem;
    max-height: 500px;
    opacity: 1;
  }
  .main__header-menu .menu__item--expanded:hover > a::after {
    opacity: 1;
  }
  .menu-toggle {
    display: none;
  }

}

@media all and (min-width: 1212px) {
  .main__header-navigation {
    padding-left: 2rem;
    gap: 2.5rem;
  }
  .main__header-menu .menu.menu--level-0 {
    gap: 1.5rem;
  }
  .main__header-menu .menu.menu--level-0 > li {
    font-size: 1rem;
  }
  .main__header-navigation .main__header-menu .region-header-menu nav .menu--level-0 li a ,
  .main__header-navigation .main__header-menu .region-header-menu nav .menu--level-0 li > span {
    font-size: 1rem;
  }
  .main__header-navigation .main__header-menu .region-header-menu nav .menu--level-1 li a {
    font-size: 0.85rem;
  }
}
@media all and (min-width: 1360px) {
  .main__header-navigation {
    padding-left: 4rem;
  }
  .main__header-menu .menu.menu--level-0 {
    gap: 3rem;
  }
}


